<?php

namespace Lc\CaracoleBundle\Container\Product;

use Lc\CaracoleBundle\Factory\Product\ProductCategoryFactory;
use Lc\CaracoleBundle\Repository\Product\ProductCategoryRepositoryQuery;
use Lc\CaracoleBundle\Repository\Product\ProductCategoryStore;

class ProductCategoryContainer
{
    protected ProductCategoryFactory $factory;
    protected ProductCategoryRepositoryQuery $repositoryQuery;
    protected ProductCategoryStore $store;

    public function __construct(
            ProductCategoryFactory $factory,
            ProductCategoryRepositoryQuery $repositoryQuery,
            ProductCategoryStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ProductCategoryFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ProductCategoryRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ProductCategoryStore
    {
        return $this->store;
    }

}