<?php

namespace Lc\CaracoleBundle\Container\Product;

use Lc\CaracoleBundle\Factory\Product\ProductFactory;
use Lc\CaracoleBundle\Repository\Product\ProductRepositoryQuery;
use Lc\CaracoleBundle\Repository\Product\ProductStore;

class ProductContainer
{
    protected ProductFactory $factory;
    protected ProductRepositoryQuery $repositoryQuery;
    protected ProductStore $store;

    public function __construct(
            ProductFactory $factory,
            ProductRepositoryQuery $repositoryQuery,
            ProductStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): ProductFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ProductRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ProductStore
    {
        return $this->store;
    }

}