<?php

namespace Lc\CaracoleBundle\Container\Setting;

use Lc\CaracoleBundle\Definition\MerchantSettingDefinition;
use Lc\CaracoleBundle\Factory\Setting\MerchantSettingFactory;
use Lc\CaracoleBundle\Repository\Setting\MerchantSettingRepositoryQuery;
use Lc\CaracoleBundle\Repository\Setting\MerchantSettingStore;

class MerchantSettingContainer
{
    protected MerchantSettingFactory $factory;
    protected MerchantSettingDefinition $definition;
    protected MerchantSettingRepositoryQuery $repositoryQuery;
    protected MerchantSettingStore $store;

    public function __construct(
            MerchantSettingFactory $factory,
            MerchantSettingDefinition $definition,
            MerchantSettingRepositoryQuery $repositoryQuery,
            MerchantSettingStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): MerchantSettingFactory
    {
        return $this->factory;
    }

    public function getDefinition(): MerchantSettingDefinition
    {
        return $this->definition;
    }

    public function getRepositoryQuery(): MerchantSettingRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): MerchantSettingStore
    {
        return $this->store;
    }

}