<?php

namespace Lc\CaracoleBundle\Container\Setting;

use Lc\CaracoleBundle\Definition\SectionSettingDefinition;
use Lc\CaracoleBundle\Factory\Setting\SectionSettingFactory;
use Lc\CaracoleBundle\Repository\Setting\SectionSettingRepositoryQuery;
use Lc\CaracoleBundle\Repository\Setting\SectionSettingStore;

class SectionSettingContainer
{
    protected SectionSettingFactory $factory;
    protected SectionSettingDefinition $definition;
    protected SectionSettingRepositoryQuery $repositoryQuery;
    protected SectionSettingStore $store;

    public function __construct(
            SectionSettingFactory $factory,
            SectionSettingDefinition $definition,
            SectionSettingRepositoryQuery $repositoryQuery,
            SectionSettingStore $store
    ) {
        $this->factory = $factory;
        $this->definition = $definition;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): SectionSettingFactory
    {
        return $this->factory;
    }

    public function getDefinition(): SectionSettingDefinition
    {
        return $this->definition;
    }

    public function getRepositoryQuery(): SectionSettingRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): SectionSettingStore
    {
        return $this->store;
    }

}